Bug 466407 - patch rpm-spec-mode.el to look only for fields at beginning of line
patch rpm-spec-mode.el to look only for fields at beginning of line
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 00:51 EDT by Jens Petersen
Modified: 2008-11-10 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-10 22:54:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
emacs-rpm-mode-field.patch (652 bytes, patch)
2008-10-10 00:51 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Jens Petersen 2008-10-10 00:51:11 EDT
Created attachment 319972 [details]
emacs-rpm-mode-field.patch

Description of problem:
Here is a small patch to rpm-spec-mode to make it look for fields at the beginnings of lines.
Otherwise it may catch macro definitions with the field name in them instead of the actual field.

Steps to Reproduce:
1. Open ibus.spec from fedora package cvs
2. Add a changelog entry (C-c C-e)
  
Actual results:
* Fri Oct 10 2008 Joe Packager <packager@example.com> - %define gtk_binary_version %(pkg-config  --variable=gtk_binary_version gtk+-2.0)}-4
- 

Expected results:
* Fri Oct 10 2008 Joe Packager <packager@example.com> - 0.1.1.20081006-4
- 

Additional info:
I sent this patch upstream to scop too already but cc'ing him here too if he has comments.
Comment 1 Ville Skyttä 2008-10-10 12:14:57 EDT
The patch is good, and applied now in XEmacs CVS, along with a similar fix to rpm-increase-release-with-macros (rpm-spec-mode-version 0.12.2x).
Comment 2 Jens Petersen 2008-11-08 02:56:01 EST
Should get fixed in emacs-22.3-1.fc11.

Note You need to log in before you can comment on or make changes to this bug.